Subject: Re: bug#64064: [PATCH 2/4] Don't error out on 'nil' alist value.

From: Michael Albinus <[email-masked]>
Date: Fri, 16 Jun 2023 12:22:00 +0200

Morgan Smith <[email-masked]> writes:

> The intention of the DEFAULT argument to alist-get is to return "" instead of
> 'nil'.  However, this still returns 'nil' if the key exists but the value is
> 'nil'.
>
> This problem wasn't detected previously since the functions
> 'debbugs-gnu-sort-submitter' and 'debbugs-gnu-sort-title' weren't actually
> used until the previous commit.

Couldn't we simply fix this in 'debbugs-gnu-sort-submitter' and
'debbugs-gnu-sort-title'? That is, handling a nil value for submitter
and title?

And do you have an example bug number where this could happen?

Best regards, Michael.